Summary: An X Window System tool for creating morphed images.
Name: xmorph
Version: 2000.04.28
Release: 9
Copyright: GPL
Group: Amusements/Graphics
Source: http://www.colorado-research.com/~gourlay/software/Graphics/Xmorph/pub/xmorph-2000apr28.tar.gz
Patch: xmorph-makefile.patch
Patch1: xmorph-glibc.patch
Patch2: xmorph-extern.patch
Prefix: /usr
BuildRoot: /var/tmp/%{name}-root

%description
Xmorph is a digital image warping (aka morphing) program.  Xmorph
provides the tools needed and comprehensible instructions for you to
create morphs: changing one image into another.  Xmorph runs under the
X Window System.

Install the xmorph package if you need a program that will create
morphed images.

%prep
%setup -q -n xmorph-2000apr28
%patch0 -p1 -b .make
%patch1 -p1 -b .glibc
%patch2 -p1 -b .extern

%build
make depend
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS -DGIMP_ENABLE_COMPAT_CRUFT=1" || :

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/{bin,man/man1}

install -s xmorph $RPM_BUILD_ROOT/usr/X11R6/bin
install xmorph.1 $RPM_BUILD_ROOT/usr/X11R6/man/man1/xmorph.1
chmod -x $RPM_BUILD_ROOT/usr/X11R6/man/man1/xmorph.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README HISTORY
/usr/X11R6/bin/xmorph
/usr/X11R6/man/man*/*

%changelog
* Tue Mar 20 2001 Preston Brown <pbrown@redhat.com>
- work with new glib header locations.

* Mon Dec 25 2000 Matt Wilson <msw@redhat.com>
- rebuilt against gimp 1.2.0

* Thu Dec 21 2000 Matt Wilson <msw@redhat.com>
- rebuilt against gimp 1.1.32
- use -DGIMP_ENABLE_COMPAT_CRUFT=1 to build with compat macros

* Mon Dec 18 2000 Matt Wilson <msw@redhat.com>
- rebuilt against gimp 1.1.30

* Wed Aug 23 2000 Matt Wilson <msw@redhat.com>
- rebuilt against gimp 1.1.25

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul  3 2000 Matt Wilson <msw@redhat.com>
- rebuilt against gimp-1.1.24

* Sat Jun 17 2000 Bill Nottingham <notting@redhat.com>
- rebuild to fix dependencies

* Sun Jun 11 2000 Bill Nottingham <notting@redhat.com>
- update to 2000-04-28
- rebuild in new environment

* Thu Feb  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- remove executable bit from man page (Bug #9035)

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description

* Tue Jan 11 2000 Bill Nottingham <notting@redhat.com>
- update to latest tarball

* Sun May 16 1999 Jeff Johnson <jbj@redhat.com>
- don't rely on (broken!) rpm %patch (#2735)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
